Starry Night College 6.4.x & OSX 10.5.8 - Error message: Incompatible library version: Starry Night requires version 10.0.0 or later, but libxml2.2.dylib provides version 9.0.

    Follow


    *** Please read the addition step by step guide (below this initial KB article) before you begin ***


    1. Download the info.plist file attached to this reply (use a web browser like Google Chrome or FIrefox if you encounter any difficulty downloading this file).

    http://www.mozilla.org/en-US/firefox/new/

    http://www.google.com/chrome

    Right click your Starry Night College program (in the Applications folder) and select "Show package Contents". Open the Contents folder and replace the info.plist you see with the one I attached.

    To right click on Mac, hold down the control key, and then click either your touch pad or mouse.

    2. Download this update for SNC 6.4.3:

    http://www.starrynightsupport.com/updaters/updaters643/College%20Download/MacOSX/Starry%20Night%20College%206.3.5%20to%206.4.3%20Updater.zip

    Run the updater. This will revert your SNC to 6.4.3. This should make SNC compatible with OSX 10.5.8.

    Don't update to 6.4.6 afterwards. Just stay at 6.4.3. If an update for 6.4.7 becomes available you can update then.

    You will not be able to run the updater until the info.plist has been replaced

    Comments

    • Avatar
      Keiron Smith

      Created with a trial version of ScreenSteps

       

      Step 1

      ?name=media_1336085708189.png

      To start, use Google Chrome or Firefox to apply this solution - by this I mean download one of those two internet browsers (unless you are already using one of them) and then reopen this KB article in the new browser. Please do not skip this step.

      Next, once this KB article is open in Google Chrome or Firefox download the "info.plist" - attached in the bottom left corner.

      Step 2

      ?name=media_1336085998554.png

      Right click your Starry Night College program (in the Applications folder) and select "Show package Contents". To right click on Mac, hold down the control key, and then click either your touch pad or mouse.

      Step 3

      ?name=media_1336086097803.png

      Open the Contents folder and replace the "info.plist" you see with the one I attached.

      Important: If you download the "info.plist" file more than once you will see the additional files are named as "info.plist(1)", "info.plist(2)", etc. These file names will not work as replacements. The file name must be "info.plist".

      Step 4

      ?name=media_1336086351258.png

      Download this update for SNC 6.4.3. Run the updater. This will revert your SNC to 6.4.3. This will make SNC compatible with OSX 10.5.8.

      Step 5

      Don't update to 6.4.6 afterwards. Just stay at 6.4.3. If an update for 6.4.7 becomes available you can update then.

      Remember! You will not be able to run the updater until the info.plist has first been replaced.




      media_1336086097803.png
      media_1336086351258.png
      media_1336085998554.png
      media_1336085708189.png
    Powered by Zendesk